Bug 84336 - export a presentation with impress 4.3 to swf file
Summary: export a presentation with impress 4.3 to swf file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Matthew Francis
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-25 19:47 UTC by laurentlepoittevin
Modified: 2015-12-17 08:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation_test_with_.odp&.swf(4.3)&.swf(4.2) (476.36 KB, application/x-zip-compressed)
2014-10-06 16:14 UTC, laurentlepoittevin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description laurentlepoittevin 2014-09-25 19:47:08 UTC
hello, 
small bug with exporting a presentation to the swf format. If I export a presentation with 4.3.0 version the file is not readable in whatever browser. but, if I export this same presentation impress with 4.2.6.3 version can be played in a browser(firefox and safari). I tested with 4.3 version windows 64bits is the same problem.
Comment 1 Alex Thurgood 2014-10-06 11:55:40 UTC
Please provide test presentation file reduced to strict minimum necessary to show buggy behaviour.
Comment 2 laurentlepoittevin 2014-10-06 16:14:36 UTC
Created attachment 107436 [details]
presentation_test_with_.odp&.swf(4.3)&.swf(4.2)

Fichier de présentation au format .odp avec les export au format .swf pour les deux version 4.2 et 4.3
Pour le fichier 4.2 la lecture dans le navigateur est conforme, pour le fichier 4.3 la page reste blanche.
Comment 3 Buovjaga 2014-11-27 10:59:27 UTC
Reproduced by exporting and opening.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-25_00:14:54
Comment 4 Buovjaga 2015-01-10 19:08:32 UTC
Export from 3.5 plays fine.

Confirmed that 4.5 produces a blank.

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Version: 4.5.0.0.alpha0+
Build ID: 9763b55eb946cf425220d26dab91bf220890b180
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-08_12:56:53
Comment 5 Antoine POURCHEZ 2015-01-21 11:24:52 UTC
Same problem with LO4.3.5.2 on windows
It is a blocking regression for automatic ODP transformation system for the web.

Are you going to study (and correct) this problem?
thank
Comment 6 Matthew Francis 2015-01-21 14:51:40 UTC
Bibisect results from 43all:
(nothing immediately stands out in the range, so a follow-up source bisect will be needed to identify the change responsible)


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [752769ad0d2179e17ea0a08cc9004df7b890305b] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
git bisect start 'last43onmaster' 'last42onmaster'
# good: [4fcd68ce4979f85fda4568f4b419a4b41d07345f] source-hash-2c4621c87ed3a7b19de195c21494c9a381e72b2e
git bisect good 4fcd68ce4979f85fda4568f4b419a4b41d07345f
# skip: [422186458e0b4db00c7e26b54d5b631f83bcad2a] source-hash-6948bf58ce181b17f60ef81f10205ef4dac50cc6
git bisect skip 422186458e0b4db00c7e26b54d5b631f83bcad2a
# good: [a0b33bffff9c787dce71a13b344f06ae1453026b] source-hash-02e0be069e57e724c51f23e2e31b77657a6a1d3d
git bisect good a0b33bffff9c787dce71a13b344f06ae1453026b
# bad: [16d0a5059bce9198bfae647a72dc06b438be583f] source-hash-944c78ecb91608f4c3e9bab32fdbc90c67326525
git bisect bad 16d0a5059bce9198bfae647a72dc06b438be583f
# good: [5e7af1ea4d6ff32d05a2eb182f0b548700601784] source-hash-213571db0e69db5d8d16d16e8a5c428b824e80d1
git bisect good 5e7af1ea4d6ff32d05a2eb182f0b548700601784
# good: [cb4fd88402c426174f9cc9ff08c3b86ae84820e5] source-hash-e15223582710e9e2e31fad2f557df6ee99501fd0
git bisect good cb4fd88402c426174f9cc9ff08c3b86ae84820e5
# bad: [6d8b2818a069e151a49fdba573f0db45face1651] source-hash-da1425650b0c3e0921d2c9d51d461aca99038650
git bisect bad 6d8b2818a069e151a49fdba573f0db45face1651
# bad: [e4b46548ba53a7007ed023fc2b2287c4ff9796dd] source-hash-9f06e4bc3a56806061f759770f758ad3c7ddf09c
git bisect bad e4b46548ba53a7007ed023fc2b2287c4ff9796dd
# skip: [60da347518798811f7adbfbf1eb07d59cd9f08bf] source-hash-28fc951233a58fb4d8515ed4380140aaee0afd32
git bisect skip 60da347518798811f7adbfbf1eb07d59cd9f08bf
# only skipped commits left to test
# possible first bad commit: [e4b46548ba53a7007ed023fc2b2287c4ff9796dd] source-hash-9f06e4bc3a56806061f759770f758ad3c7ddf09c
# possible first bad commit: [60da347518798811f7adbfbf1eb07d59cd9f08bf] source-hash-28fc951233a58fb4d8515ed4380140aaee0afd32
Comment 7 Matthew Francis 2015-01-21 16:05:02 UTC
Source bisection pointed at the below commit.

Patch following -> https://gerrit.libreoffice.org/14084


commit d83dfeb5e59c8f3de12d673b001a44001f644e7d
Author: Noel Grandin <noel@peralex.com>
Date:   Thu Apr 17 15:47:00 2014 +0200

    filter: sal_Bool->bool
    
    Change-Id: Icf20f23cb46ad3cb147d8c6a743f1d25a23fbca5
Comment 8 Commit Notification 2015-01-21 16:06:02 UTC
Matthew Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb4c29f4d10ae4be0e6be15a4c7c8c5bfb1edcc3

fdo#84336 Fix swf rendering

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-01-21 16:08:36 UTC
Matthew Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09037c9f41799893c42b719aa332730a5e1c4bf7&h=libreoffice-4-3

fdo#84336 Fix swf rendering

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-01-21 16:10:02 UTC
Matthew Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fdc79f191e629042a8e448c7d643a1cd487e3c8&h=libreoffice-4-4

fdo#84336 Fix swf rendering

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-01-22 14:09:51 UTC
Matthew Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1dcf9331eacc308b521609ccbb1eaf6a81f4826&h=libreoffice-4-3-6

fdo#84336 Fix swf rendering

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-01-22 14:11:17 UTC
Matthew Francis committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6da6af3050393db90b6a6f0c3b1db885f9ddbf14&h=libreoffice-4-4-0

fdo#84336 Fix swf rendering

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Antoine POURCHEZ 2015-01-22 14:54:16 UTC
It is OK for me in libo-43~2015-01-22_02.53.25_LibreOfficeDev_4.3.7.0.0_Win_x86
Thank you for your response !
Comment 14 Robinson Tryon (qubit) 2015-12-17 08:36:20 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]